Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.oracle
Class TPlsqlForallStmt

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.oracle.TPlsqlStmt
                  gudusoft.gsqlparser.stmt.oracle.TPlsqlForallStmt

All Implemented Interfaces:
  Visitable

    public class TPlsqlForallStmt

extends TPlsqlStmt

The FORALL statement issues a series of static or dynamic DML statements, usually much faster than an equivalent FOR loop.

Field Summary
`static int` | `bound_clause_kind_indices_of`
`static int` | `bound_clause_kind_normal`
`static int` | `bound_clause_kind_values_of`

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TPlsqlForallStmt()`
`TPlsqlForallStmt(EDbVendor dbvendor)`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`int` | `doParseStatement(TCustomSqlStatement psql)`
`int` | `getBound_clause_kind()`
`TObjectName` | `getCollectionName()`
`TObjectName` | `getIndexName()`
`TExpression` | `getLower_bound()` Used in bounds clause.
`TCustomSqlStatement` | `getStatement()`
`TExpression` | `getUpper_bound()` Used in bounds clause.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`void` | `setBoundsClause(TDummy b)`

Methods inherited from class gudusoft.gsqlparser.stmt.oracle.TPlsqlStmt
`getEndlabelName, getLabelName, setEndlabelName, setLabelName`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, getCteList, getErrorCount, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bound_clause_kind_normal

    public static final int bound_clause_kind_normal

See Also:
  Constant Field Values

### bound_clause_kind_indices_of

    public static final int bound_clause_kind_indices_of

See Also:
  Constant Field Values

### bound_clause_kind_values_of

    public static final int bound_clause_kind_values_of

See Also:
  Constant Field Values

Constructor Detail

### TPlsqlForallStmt

    public TPlsqlForallStmt()

### TPlsqlForallStmt

    public TPlsqlForallStmt(EDbVendor dbvendor)

Method Detail

### getUpper_bound

    public TExpression getUpper_bound()

  Used in bounds clause.

  Returns:

### getLower_bound

    public TExpression getLower_bound()

  Used in bounds clause.

  Returns:

### getBound_clause_kind

    public int getBound_clause_kind()

  Returns:
    one of bound_clause_kind_normal, bound_clause_kind_indices_of, bound_clause_kind_values_of.

### getStatement

    public TCustomSqlStatement getStatement()

  Returns:
    A static, such as UPDATE or DELETE, or dynamic (EXECUTE IMMEDIATE) DML statement that references collection elements in the VALUES or WHERE clauses.

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### doParseStatement

    public int doParseStatement(TCustomSqlStatement psql)

  Overrides:
    `doParseStatement` in class `TCustomSqlStatement`

### getIndexName

    public TObjectName getIndexName()

  Returns:
    An undeclared identifier that names the loop index.

### setBoundsClause

    public void setBoundsClause(TDummy b)

### getCollectionName

    public TObjectName getCollectionName()

  Returns:
    values of collection name/indices of collection name

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD